Package: org.codehaus.groovy.util

## [Java] Class ReferenceBundle

- org.codehaus.groovy.util.ReferenceBundle

-     public class ReferenceBundle
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReferenceBundle(ReferenceManager manager, ReferenceType type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static ReferenceBundle` | `getHardBundle()`
    `` | `public ReferenceManager` | `getManager()`
    `` | `public static ReferenceBundle` | `getPhantomBundle()`
    `` | `public static ReferenceBundle` | `getSoftBundle()`
    `` | `public ReferenceType` | `getType()`
    `` | `public static ReferenceBundle` | `getWeakBundle()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ReferenceBundle(ReferenceManager manager, ReferenceType type)

  - ### Method Detail

    - #### public static ReferenceBundle getHardBundle()

    - #### public ReferenceManager getManager()

    - #### public static ReferenceBundle getPhantomBundle()

    - #### public static ReferenceBundle getSoftBundle()

    - #### public ReferenceType getType()

    - #### public static ReferenceBundle getWeakBundle()